2004-10-24 18:40  migueldb

	* phplot.php:

	  + array_merge_php4(): added to cope with the bug introduced by
	  the change in array_merge() from PHP4 to PHP5 (I haven't verified
	  this)

	  + Fixed some divisions by zero, thanks to an old bug report.

2004-10-24 17:44  migueldb

	* README.txt, doc/quickstart.html, examples/create_chart.php,
	  examples/format_chart.php, examples/inline_image.php:

	  + Updated to the latest changes in phplot

2004-10-24 17:40  migueldb

	* doc/index.php:

	  + Minimal change

2004-09-09 20:27  migueldb

	* phplot.php:

	  + SetPointSize(): deprecated

	  + SetPointSizes(): added as replacement for SetPointSize().Now
	  able to set point sizes on a per line basis.

	  + SetPointShape(): deprecated.

	  + SetPointShapes(): added as replacement for SetPointShape(). Now
	  able to set point shape on a per line basis.

	  + DrawDot(): now needs record number to decide which dot shape
	  and size to draw.

	  + CalcMargins(): dirty fix for x data label placing.

	  + tile_img(): fixed tile placement.

2004-06-14 14:19  migueldb

	* phplot.php:

	  + SetXTickLabelPos() and others: more on the bug reported by Jo
	  Demol.

2004-06-14 11:35  migueldb

	* phplot.php:

	  + Fixed bug reported by Jo Demol.

2004-05-11 14:14  migueldb

	* phplot.php:

	  + SetBgImage(): added.

	  + SetPlotAreaBgImage(): added.

	  + SetInputFile(): deprecated.

	  + DrawBackground(): now accepts images as backgrounds.

	  + DrawPlotAreaBackground(): now accepts images as backgrounds.

	  + tile_img(): internal method added.

2004-04-14 13:26  migueldb

	* phplot.php:

	  + DrawXAxis(): No more horizontal tick nor label at X-axis'
	  sides.

2004-03-21 18:01  migueldb

	* phplot.php:

	  + x/y_label_type automaticaally set to 'data' when setting label
	  precision.

	  + minor corrections.

2004-03-03 08:17  afan

	* phplot.php: PlotAreaWorld - last fix

2004-03-03 02:40  migueldb

	* phplot.php:

	  + SetPlotAreaWorld(): fixed.

2004-03-01 21:14  afan

	* phplot.php: Needed one more = in  ($ymin === NULL)

2004-02-29 11:21  afan

	* phplot.php: phplot.php SetPlotAreaWorld - changed ($!ymin) to
	  ($ymin == NULL) for cases where $ymin = 0. (also done for ymax,
	  xmin, xmax) afan

2004-02-23 10:34  migueldb

	* phplot.php:

	  + SetPlotAreaWorld(): Fixed the calculation of max and min y.

2004-02-14 12:29  migueldb

	* phplot.php:

	  + SetPlotAreaWorld(): Fine grained control over which values are
	  auto-calculated. Should fix some trouble with y-scaling.

	  + DrawGraph(): yet another fix to drawing order...

	  + CheckOption(): fixes problems with mixedcase arguments.

	  + SetFileFormat(), FormatLabel(): typos fixed.

2004-01-30 12:56  migueldb

	* examples/data_sample1.php:

	  + Added "stacked bars" plot type.

2004-01-30 12:50  migueldb

	* phplot.php:

	  + DrawStackedBars(): added plot type.

	  + SetEqualXCoord(): renamed to more intuitive CalcBarWidths().
	  Modified for stacked bars.

	  + Changed graphing order. The grids are again at the background,
	  as they should. Added var $grid_at_foreground (bool) to alter
	  this.

	  + text-data-pie renamed to text-data-single.

	  + SetPlotAreaWorld(): fixed min_y bug.

2004-01-29 17:10  migueldb

	* phplot.php:

	  + SetPlotAreaWorld(): default behaviour is to adjust Y axis to Y
	  min/max.

	  + SetSkipLeftTick(), SetSkipRightTick(): added.

	  + SetFileFormat(): fixed silly bug that prevented selections from
	  being made.

2004-01-28 20:00  migueldb

	* phplot.php, doc/quickstart.html:

	  + Merged final changes to rel-5-0 into main trunk.

2004-01-28 19:12  migueldb

	* phplot.php:

	  + DrawGraph(): Fixed graph drawing order for default plots
	  (bars). Removed some redundat lines of code.

2004-01-28 18:58  migueldb

	* doc/quickstart.html:

	  + More stuff...

2004-01-28 18:49  migueldb

	* phplot.php:

	  + DrawPieChart(): fixed use of old variable.

	  + First steps for data labels autoadjustement and skipping.

2004-01-27 12:12  migueldb

	* phplot.php:

	  + Added missing SetSkipTopTick()

	  + Some comments.

	  + Fixed option checking for a couple of functions. Added some
	  more.

2004-01-27 00:03  migueldb

	* doc/index.php: [no log message]

2004-01-25 20:28  migueldb

	* doc/index.php:

	  + Fixed typo.

2004-01-25 19:57  migueldb

	* doc/index.php:

	  + Commit for 5.0rc1.

2004-01-25 19:50  migueldb

	* README.txt, doc/index.php, doc/quickstart.html, doc/schema.html:

	  + Commit for 5.0rc1.

2004-01-25 19:44  migueldb

	* phplot.php:

	  + Added missing SetDrawXDataLabelLines() and
	  SetDrawYDataLabelLines().

	  + Added some parameter checking with CheckOption().

	  + Added some comments.

2004-01-25 19:32  migueldb

	* examples/: create_chart.php, example3.php, format_chart.php:

	  + Commiting for 5.0rc1

2004-01-25 18:21  migueldb

	* examples/example8.php: [no log message]

2004-01-25 18:20  migueldb

	* doc/style.css:

	  + Added 'box' style.

2004-01-25 17:11  migueldb

	* phplot.php:

	  + Set*Colors(): should be faster when using default values.

	  + array_pad_array() non class-member function added.

	  + PadArrays(): now pads arrays with themselves, to mimic previous
	  behaviour, uses array_pad_array()

	  + DrawAxisLegend(): skeleton added. To do.

2004-01-24 23:18  migueldb

	* phplot_data.php:

	  + DoMovingAverage(): some corrections. The legend isn't correctly
	  updated yet.

2004-01-24 23:16  migueldb

	* phplot.php:

	  + PadArrays(): added. Formerly in SetDataValues(), now called
	  from DrawGraph(). Fixes SetLineWidths() buggy behaviour.

	  + Added MINY and MAXY constants, for DrawXDataLine().

	  + DrawGraph(): changed order when drawing axis, to avoid
	  overwriting.

2004-01-21 20:08  migueldb

	* doc/quickstart.html:

	  + More corrections

	  + Some links

	  + $Id: ChangeLog,v 1.1 2005/08/15 07:33:39 christiaan Exp $ tag

2004-01-21 19:55  migueldb

	* doc/quickstart.html:

	  + HTML heavily cleaned

	  + Some corrections

2004-01-21 18:47  migueldb

	* doc/index.php:

	  + Added quickstart.

	  + More things in whishlist.

2004-01-21 18:46  migueldb

	* doc/quickstart.html:

	  + Doc by Afan. With slight corrections.

2004-01-21 18:44  migueldb

	* examples/rgb.inc.php, doc/index.html: [no log message]

2004-01-21 18:43  migueldb

	* phplot.php:

	  + Small changes to functions' documentation.

2004-01-21 18:06  migueldb

	* phplot_data.php:

	  + renamed tedious data_values to data

	  + work still in progress

2004-01-21 18:03  migueldb

	* phplot.php:

	  + Added check for __FUNCTION__ for old PHP versions.

	  + DrawPieChart(): 'data-data' support added.

	  + DrawGraph(): added check to avoid calling FindDataLimits()
	  twice.

	  + DrawXDataLine(): Added.

	  + DrawXDataLabels(): Added support for vertical lines to data
	  points via DrawXDataLine()

	  + FindDataLimits(): Added calculation of per-row min_y and max_y,
	  for DrawDataLine()

2003-12-30 13:26  migueldb

	* phplot.php:

	  + SetDataValues(). Now reads a reference and copies it to
	  $this->data, a numeric array. All indices are converted to
	  numeric. num_recs[] holds the number of records per data row.

	  + FindDataLimits(). Works with new $this->data

	  + The following functions now work with the new data set and use
	  faster loops:

	  + DrawDots()

	  + DrawDotsError()

	  + DrawThinBarLines()

	  + DrawPieChart(). Minimum changes.

	  + DrawLines()

	  + DrawArea(). Other optimizations too.

	  + DrawBars(). Other things too.

2003-12-30 00:01  migueldb

	* phplot_data.php:

	  + Fixed constructor. Added parameters to fit PHPlot()'s

	  + Fixed many "undefined index" errors.

	  + DoMovingAverage(): puts data in a new row, and sets colors and
	  legend. Won't work for the moment.

2003-12-29 21:58  migueldb

	* phplot_data.php:

	  + Formatted after phplot.php style (PEAR)

	  + Added Doxygen comments.

	  + DoScaleData(): Optimized with for loops. Needs testing.

	  + DoMovingAverage(): Optimized. Changed behaviour with first
	  elements in dataset. Needs testing.

	  + DoExponentialMovingAverage(): added. Needs testing.

2003-12-27 14:53  migueldb

	* benjamingothic.ttf:

	  + The TTFont is only needed in 'examples/'.

2003-12-27 14:52  migueldb

	* phplot.php:

	  + Removed some (done) TODO marks.

2003-12-27 14:06  migueldb

	* examples/test_setup.php: [no log message]

2003-12-27 14:06  migueldb

	* examples/nav.html:

	  + This was unnecessary.

2003-12-27 14:01  migueldb

	* README.txt, LICENSE.GPL, LICENSE.PHP_3_0: [no log message]

2003-12-27 13:46  migueldb

	* doc/index.php:

	  + Added all the examples.

	  + Added 5.0 version number.

	  + Added myself as author.

2003-12-27 13:44  migueldb

	* examples/example9.php:

	  + Changed to follow phplot function renaming (again!)

2003-12-24 13:39  migueldb

	* examples/: create_chart.php, format_chart.php:

	  + New data type: randfunction, using data-data-error.

2003-12-24 13:38  migueldb

	* examples/: data_sample1.php, data_sample2.php, data_sample3.php,
	  data_sample4.php:

	  + Moved data type selection links to format_chart.php

2003-12-24 13:36  migueldb

	* phplot.php:

	  + Fixed spurious ticks bug.

	  + Corrected some comments.

2003-12-24 12:52  migueldb

	* examples/example5.php:

	  + Now in format_chart.php

2003-12-24 12:47  migueldb

	* examples/example4.php: Ooops! I deleted the wrong file!

2003-12-24 12:39  migueldb

	* examples/data_sample5.php:

	  + New 'randfunction' data type in example-o-matic. Taken from
	  deleted example4.php and test1.php.

2003-12-24 12:37  migueldb

	* examples/example4.php:

	  + Inserted example in example-o-matic as 'randfunction'

2003-12-24 12:35  migueldb

	* examples/test1.php: inserted example in example-o-matic as
	  'randfunction'

2003-12-24 10:38  migueldb

	* phplot.php:

	  + Fixed silly typo.

2003-12-23 17:40  migueldb

	* phplot.php:

	  + All renaming with leading underscores undone for compatibility.
	  It was a mess.

	  + Fixed a couple function call typos.

	  + Fixed axis position calculation.

2003-12-17 16:28  migueldb

	* examples/create_chart.php:

	  + Fixed to work with phplot.php v1.69

2003-12-17 16:28  migueldb

	* phplot.php:

	  + Added skip_left_tick and skip_right tick for x axis.

	  + Added y_label_angle (last commit)

	  + Fixed automatic axis positioning for plots with negative values
	  or log scales.

	  + Deleted messy SetGridParams(), SetTickParams() and
	  SetDataLabelParams(). I realized they were a bad idea of mine...
	  :(

	  + Some more code grouping and reorganisation.

2003-12-15 16:52  migueldb

	* examples/: create_chart.php, format_chart.php:

	  + Added x/y tick crossing lenghts.

	  + Added x axis and y axis positioning.

	  + Corrected some label placement options.

2003-12-15 16:50  migueldb

	* examples/: example4.php, example5.php, example9.php, test1.php:

	  + Updated examples to work with new PHPlot.

	  + Fixed some things.

2003-12-15 16:48  migueldb

	* phplot.php:

	  + x_tick_pos: added support for 'xaxis' position.

	  + x_tick_label_pos: added support for 'xaxis' position.

	  + DrawYTick(): fixed 'yaxis'

	  + Set[X|Y]TickCrossing(): added. Draw ticks crossing axis by a
	  specified length in pixels.

	  + DrawText(): improved vertical centering for TTF.

	  + SetDrawBrokenLines(): fixed silly thing.

	  + _DrawPlotBorder(): new option 'right' and 'sides'

	  + DrawLinesError(): removed some 'ifs' for speed.

	  + DrawDotsError(): removed some 'ifs' for speed.

	  + Minor corrections here and there.

2003-12-13 04:58  migueldb

	* phplot.php:

	  + DrawGraph(): Fixed drawing order error.

2003-12-13 04:44  migueldb

	* phplot.php:

	  + _SetIndexColors(): removed. When sessions were not set, indexes
	  were being calculated twice

	  + Centralized color and style defaults in _SetDefaultStyles()
	  (former _SetDefaultColors())

	  + SetLineWidth(): superseded by new SetLineWidths(). Now using an
	  array of values for per-line setting.

	  + DrawDashedLine(): added again for backward compatibility.

	  + DrawBars(): Faster shading.

	  + DrawYTicks(): slightly improved, DrawYTick() modified too.

	  + DrawGraph(): plot borders now drawn after plots.

	  + Added color and style variable declarations for easier
	  modification.

	  + More formatting. Some renaming undone for backwards
	  compatibility.

2003-12-10 04:04  migueldb

	* examples/: data_sample1.php, data_sample2.php:

	  + New plot type 'squared' added.

2003-12-10 04:03  migueldb

	* examples/: create_chart.php, format_chart.php:

	  + New option 'Draw broken lines' added.

2003-12-10 04:00  migueldb

	* phplot.php:

	  + Better available graph room usage.

	  + More renaming and formatting...

	  + Parameter validation with _CheckOption(), but I might drop it
	  if it slows everything down.

	  + DrawBinary() is again DrawSquared()... ooops. :) It is at least
	  now working.

	  + DrawSquared() done, quite silly thing, though.

	  + SetBrokenLines() added. Tells whether to draw lines for missing
	  Y data.

2003-12-10 01:32  migueldb

	* doc/schema.html:

	  + Simple [go to index] link.

	  + Typos fixed.

2003-12-10 00:56  migueldb

	* phplot.php:

	  + Reworking PEAR coding standards conformance, I had quite
	  screwed it up. Vim regexes are proving veeeery useful ;)

	  + Important comment about the destructor and class instantiation.

	  + Internal methods will now have a prepended underscore. I'm
	  renaming them little by little.

	  + SetDefaultDashedStyle(): now accepts any string as style.

	  + DrawSquared() renamed to DrawBinary()

	  + _CalcMargins(): corrected [x|y]_tick_label_width calculation.

2003-12-07 18:58  migueldb

	* examples/: example6.php, example7.php:

	  + SetDrawXDataLabels(false);

2003-12-07 18:30  migueldb

	* phplot.php:

	  + DrawDotsError(): doesn't fail anymore if data type isn't
	  data-data-error (might include text-data-error in the future).

	  + More variables changed to bool.

	  + SetNewPlotAreaPixels(): removed, SetPlotAreaPixels() now does
	  the same work.

	  + SetMarginsPixels(): now updates margin variables.

	  + SetTitle(): fixed wrong height calc for empty title.

	  + Removed many internal variable declarations. See the beggining
	  of the class declaration for comments on this. This might be a
	  bit stupid... :-?

	  + DrawSquared(): plot type on the works, addressing Feature
	  Request [558302]. Just the skeleton for now.

2003-12-07 02:12  migueldb

	* phplot.php:

	  + SetInputFile(): deallocates previously allocated 'img'

	  + Added 'line_spacing' and SetLineSpacing()

	  + InitImage(): deleted, moved into the constructor

	  + DrawError(): shows plain text message if 'img' unavailable.

	  + SetXTitle(): Fixed x_title_height calculation for TTF.

	  + More code reorganisation. As I seem to be alone in this, that
	  should be no problem...

2003-12-07 01:12  migueldb

	* phplot.php:

	  + TTF font provided with package now works (it wasn't being
	  found).

	  + TTF placement a bit adjusted.

	  + SetTitle(): Fixed wrong title height calculation for TTFonts.

	  + DrawLegend(): TTF support added.

	  + DrawDot(): renamed dot type 'crosshair' to 'plus'. Added
	  'cross' and 'trianglemid'.

	  + FormatTickLabel(): now used for tick and data labels. Renamed
	  to FormatLabel().

	  + draw_x_data_label: variable removed, now using
	  [x/y]_data_label_pos for both x and y data labels.

	  + draw_x_data_label_lines: parameter added.

	  + line_width: minor usage fixes.

	  + SetXDataLabelAngle() renamed to SetXLabelAngle(). Old function
	  kept in 'deprecated' section.

	  + Changed some options to bool format.

	  + Tried to make better decisions on Set*LabelParams() regarding
	  placement.

	  + Removed superfluous DrawLabels() function.

	  + Moved CalcXHeights() and CalcYWidths() into CalcMargins() for
	  speed (unperceptible I must admit) and clarity.

	  + Other changes here and there...

2003-12-07 01:06  migueldb

	* examples/data_sample2.php:

	  + Added missing data.

2003-12-07 01:05  migueldb

	* examples/: create_chart.php, data_sample1.php: [no log message]

2003-12-07 01:04  migueldb

	* examples/format_chart.php:

	  + Added a check to see if we are being called from the right
	  place.

	  + New data label angle option.

	  + New line and error bar line width options.

	  + New data label options.

	  + New point types.

	  + Some corrections.

2003-12-06 21:12  migueldb

	* examples/nav.html: [no log message]

2003-12-06 21:09  migueldb

	* examples/test_setup.php:

	  + Added nav. bar

2003-12-06 21:08  migueldb

	* examples/nav.html:

	  + Simple navigation bar, not very useful yet.

2003-12-06 20:43  migueldb

	* doc/style.css:

	  + New "nav" class.

2003-12-06 20:42  migueldb

	* doc/index.php:

	  + New index, now calls some php.

2003-12-06 20:41  migueldb

	* doc/php_test.php:

	  + Added the test for php functionality in index.php, so this file
	  is no longer necessary.

2003-12-05 19:13  migueldb

	* examples/inline_image.php:

	  + Added warning message when called on its own.

2003-11-28 01:21  migueldb

	* phplot.php:

	  + Default title position='none' for better positioning of
	  elements.

	  + xtr(), yrt(): return value round()ed

	  + DrawLines(): better (?) management of incomplete data sets. No
	  begin or end points forced. No more "undefined offset x in ..."

	  + DrawArea(): more modifications when working with incomplete
	  data sets. No extra beginning or ending points.

2003-11-26 17:52  migueldb

	* phplot.php: [no log message]

2003-11-26 17:16  migueldb

	* examples/: create_chart.php, format_chart.php:

	  + Added shading option

2003-11-26 16:43  migueldb

	* phplot.php:

	  + Added spaces after every comma, around every equal sign for
	  prettier code. :)

	  + DrawXTitle(): Another fix. Removed the check for tick_pos I
	  just introduced. Works better now.

	  + _PHPlot(): destructor added.

	  + Comments, indenting, and a couple of minor corrections here and
	  there.

2003-11-26 12:19  migueldb

	* phplot.php: l

	  + DrawXTitle(): check for tick_label_pos when calculating title
	  position (before the title would be misplaced under certain
	  circumstances)

	  + Added SetIndexDarkColor() and $ndx_data_dark_color[] calculated
	  from $data_colors[],	for shadows.

	  + New data type (one value per data row) 'text-data-once' for pie
	  charts

	  + DrawPieChart(): some optimisations. Shading added.

2003-11-25 17:30  migueldb

	* examples/create_chart.php:

	  + Now accepts point size from format_chart.php.

2003-11-25 17:29  migueldb

	* examples/format_chart.php:

	  + New point type 'crosshair' added to the options.

	  + Link to the documentation index at the bottom of the page.

2003-11-25 17:28  migueldb

	* examples/data_sample1.php:

	  + Fixed wrong comment.

2003-11-25 17:28  migueldb

	* phplot.php:

	  + DrawDot(): added new variables to avoid calls to ytr() and
	  xtr(), replaced imagefilledrectangle() with imageline() in
	  "halfline" and "line" modes.

	  + DrawDot(): added point type 'crosshair'

	  + DrawArea(): modified to follow the structure of the other plot
	  drawing methods. Removed obsolete DrawAreaSeries()

	  + DrawLines(): same modifications as with other plot drawing
	  methods.

	  + Removed dummy DrawLineSeries()

	  + More use of imagesetthickness()

2003-11-25 01:34  migueldb

	* phplot.php: Right now working on richer data label placement, but
	  in the meantime:

	  + Removed unnecessary (and wrong) right alignment option in
	  FormatTickLabel()

	  + Removed unused (thought it better :) DrawPlotLabel

	  + DrawYErrorBar(): uses imagesetthickness()

	  + DrawDots() optimised and cleaned.

	  + DrawThinBarLines() optimised and cleaned.

	  + DrawDotsError() optimised (I hope!)

	  + DrawLinesError() optimised. Fixed a bug with multiple lines

	  + Other small things, as usual...

2003-11-25 01:27  migueldb

	* examples/data_sample2.php:

	  + Removed bogus <td> tag.

2003-11-25 00:49  migueldb

	* examples/data_sample4.php:

	  + Added 'thinbarline' data plot option.

2003-11-25 00:48  migueldb

	* examples/data_sample1.php:

	  + Added thinbarline plot mode.

	  + Added comment on 'text-data' data type.

2003-11-24 23:32  migueldb

	* examples/: data_sample1.php, data_sample2.php, data_sample4.php,
	  format_chart.php:

	  + Replaced old data type "linear" with new "data" everywhere.

2003-11-24 23:32  migueldb

	* examples/create_chart.php:

	  + Accepts new $data_row format from data_sample3.php
	  (data-data-error format)

	  + Replaced old data type "linear" with new "data".

2003-11-24 23:30  migueldb

	* examples/data_sample3.php:

	  + Replaced old "linear" with new "data" everywhere.

	  + Modified code and $data_row organization to allow for easier
	  changes.

	  + Added another set of values (to have two lines in the example)

2003-11-24 21:06  migueldb

	* examples/data_sample3.php:

	  + Removed bogus <td> tag

	  + Added slashes to input tags end

2003-11-24 17:44  migueldb

	* phplot.php:

	  + Fixed a typo.

2003-11-24 17:03  migueldb

	* doc/: examples.html, function_reference.html, quick_start.php:

	  + Inserted into index.html (some time ago)

2003-11-24 17:00  migueldb

	* doc/style.css:

	  + Added new classes for the docs.

2003-11-24 16:37  migueldb

	* phplot.php:

	  + Added SetDefaultDashedStyle()

	  + Replaced outdated call to imagesetstyle() with SetDashedStyle()

	  + Moved the check for dashed_grid from constructor (where it
	  could lead to strange behaviour) into DrawXTicks() and
	  DrawYticks() (BTW, shouldn't these be renamed?)

2003-11-24 16:12  migueldb

	* examples/: data_sample1.php, data_sample2.php, data_sample3.php,
	  data_sample4.php:

	  + HTML tags to lowercase.

	  + Added missing closing tags.

	  + Indented code.

2003-11-24 16:05  migueldb

	* examples/create_chart.php:

	  + Modified to work with the new format_chart.php

2003-11-24 16:04  migueldb

	* examples/format_chart.php:

	  + New layout

	  + Many new options

	  + Some introductory words

	  + Removed "you have to reload" warning (the default behaviour for
	  PHPlot now is to send no-cache header)

	  + Small corrections

2003-11-24 14:46  migueldb

	* phplot.php:

	  + Added checks for tick placement in CalcMargins()

	  + Uninportant renaming of some internal variables.

2003-11-24 14:25  migueldb

	* phplot.php:

	  + Some more renaming for consistency: vtick, vert_tick, etc are
	  now y_tick_

	  + Same for htick -> x_tick_

	  + + Draw*Ticks() renamed following the same scheme

	  + Grouped tick label parameter setting functions in
	  SetTickLabelParams(). Left original ones in 'deprecated'

	  + Grouped grid parameter setting functions in SetGridParams().
	  Left original ones in 'deprecated'

	  + Grouped Title setting and positioning in Set*Title(). Left
	  original ones in 'deprecated'

	  + Slight modifications to data label placement

2003-11-24 11:30  migueldb

	* doc/index.html:

	  + More reorganisation

2003-11-23 23:53  migueldb

	* phplot.php:

	  + Corrected a typo.

2003-11-23 23:39  migueldb

	* phplot.php:

	  + Restructured internal font management: font variables are now
	  hashes with all associated info. DrawText() now only needs that
	  and chooses whether to draw TrueType or not. Almost every "if
	  ($this->use_ttf)" check removed as a result.

	  + Added SetDefaultTTFont()

	  + When drawing pie charts (no axis titles nor labels), maximize
	  plot area.

2003-11-23 21:48  migueldb

	* doc/index.html:

	  + Included function_reference.html links here.

2003-11-23 21:42  migueldb

	* doc/: index.html, schema.html: [no log message]

2003-11-23 21:39  migueldb

	* doc/index.html:

	  + New welcome page, some text.

	  + Some features listed.

	  + Uses stylesheet

2003-11-23 21:37  migueldb

	* doc/: style.css, php_test.php:

	  + First commit

2003-11-23 21:36  migueldb

	* examples/test_setup.php:

	  + Added stylesheet

	  + Silly change

2003-11-23 21:35  migueldb

	* examples/inline_image.php:

	  + Silly change

2003-11-23 21:34  migueldb

	* examples/create_chart.php:

	  + Renamed SetYLabel() and SetXLabel() to SetYTitle() and
	  SetXTitle()

2003-11-23 21:33  migueldb

	* examples/format_chart.php:

	  + Added file format option

	  + Added stylesheet

2003-11-23 20:00  migueldb

	* phplot.php:

	  + DrawText(): horizontal (left, center and right) and vertical
	  (top, center, bottom) alignment finished.

	  + Replaced all outdated ocurrences of ImageString() with calls to
	  DrawText().

	  + Removed redundant text placement calculations.

	  + DrawLegend() now draws the legend box more accurately (final
	  solution to bug #527867)

2003-11-23 02:02  migueldb

	* phplot.php:

	  + tick_length and tick_length2 now are htick_length and
	  vtick_length.

	  + Included SetHTickLength() and SetVTickLength()

	  + Fixed silly bug with SetDefaultFonts()

	  + SetUseTTF() now resets the fonts.

	  + More room for title

2003-11-22 23:40  migueldb

	* phplot.php:

	  + Somewhat clearer naming convention for labels, ticks, titles
	  and fonts.

	  + X tick labels and X Title can be: plotdow, plotup, both, none

	  + Y tick labels and Y Title can be: plotleft, plotright, both,
	  none

	  + Renamed some Set*() internal functions to Calc*() (Set

	  + is to be left for "public" methods)

	  + More doxygen comments

	  + Optimised FindDataLimits()

	  + A few bugfixes

2003-11-22 18:04  migueldb

	* examples/test_setup.php:

	  + Added wbmp format

	  + Now using imagetypes() instead of function_exists()

2003-11-22 13:57  migueldb

	* examples/test_setup.php:

	  + Graphic formats availability checks now use function_exists()

	  + HTML code restructured.

2003-11-22 13:55  migueldb

	* examples/create_chart.php:

	  + Using $_GET and $_POST

	  + SetImageFormat() option added

2003-11-22 13:54  migueldb

	* examples/format_chart.php:

	  + HTML code rewritten, better layout

	  + Image format option

2003-11-22 03:02  migueldb

	* phplot.php:

	  + Improved datalabel_font

	  + + Added SetDatalabelFontSize()

	  + Added many more doxygen comments.

	  + Other micro-changes.

2003-11-22 02:06  migueldb

	* examples/inline_image.php:

	  + register_globals default (PHP4) setting taken into account

2003-11-22 01:46  migueldb

	* phplot.php:

	  + Bug #790745 fixed. Thx. to the poster.

	  + DrawError() now accepts position and centers text

	  + '[423202] Catch error on empty arrays' solved. No more 'divide
	  by zero's

	  + Some (random) doxygen comments inserted. It might be a good
	  idea for auto-docs.

2003-11-21 22:27  migueldb

	* phplot.php: My first commit, here are the changes (that I
	  remember)

	  + Y axis tick and label options now work

	  + X axis tick and label options: plotdown,plotup,both,none

	  + Implemented tick_length2 for rightmost/upper side

	  + More default data colors assigned to data_color and error_color
	  arrays

	  + Deprecated draw_vert_ticks and SetDrawVertTicks() in favor of
	  'none' value in vert_tick_position

	  + Better? upper,lower, rightmost margin calculation

	  + Dashed grid lines

	  + Added FormatTickLabel(). Removed redundant code in
	  DrawHorizontalTicks()

	  + Removed all calls left to DrawDataLabel(), moved to
	  "deprecated"...

	  + Moved some code and functions around.

	  + Attempted correction for Bug [440065] "Pie labels not centered
	  correctly"

	  + Corrected '$which_pt not an acceptable plot type' typo [682068]

	  + Now using SetFileFormat() for PHP4

	  + Bug [484235] might be solved by now (not sure!)

2003-11-21 20:42  migueldb

	* examples/create_chart.php: Now works with register_globals off

2002-06-21 01:35  afan

	* examples/test_setup.php: Testing update: (Moved GIF to last
	  check)

2002-04-30 15:25  afan

	* phplot.php: Fixed error in pie graphs with data=0.  Changed
	  functions and tabs to PEAR standards

	  Afan

2002-02-22 03:15  afan

	* phplot.php: No changes - just settting up new server

2001-04-19 03:03  afan

	* phplot.php, examples/inline_image.php: fix error on function

2001-04-19 00:18  mdj_guardian

	* phplot.php: Fixed problem with example 8.  Also modified the
	  default y_padding value so the examples with zero on the bottom
	  turn out that way.

2001-04-18 07:18  mdj_guardian

	* phplot.php: Made the following changes:

	  + Fixed the case of built in functions to match PHP documentation

	  + Modified SetFileFormat to work in PHP3 & 4 with no changes

	  + Improved auto-scaling signifcantly	(SetVertPadding, y_padding,
	  SetPlotAreaWorld)   (needs docs and examples)

	  + Fixed a problem in DrawDashedLine when the line segments were
	  zero length

	  + Modified DrawLegend to fix positioning of lower right corner of
	  box.	Was cutting through text

	  + Removed a duplicated line in FindDataLimits

2001-04-08 15:58  afan

	* phplot.php: Minor change to formatting

2001-03-27 07:42  afan

	* phplot.php, phplot_data.php, examples/data.php,
	  examples/data_sample1.php, examples/data_sample3.php,
	  examples/example1.php, examples/example2.php,
	  examples/example3.php, examples/example4.php,
	  examples/example6.php, examples/example7.php,
	  examples/example8.php, examples/example9.php,
	  examples/format_chart.php, examples/inline_image.php,
	  examples/test_setup.php: Committing 4.4.6

2001-03-19 16:08  afan

	* phplot.php, doc/user_functions.html: Cleaned up Shading Function
	  for Bars Bug Fix in Placement of Datalabels.

2001-03-17 16:40  afan

	* examples/: data.php, data_date.php, data_date2.php,
	  data_sample1.php, data_sample2.php, data_sample3.php,
	  example1.php, example2.php, example3.php, example6.php,
	  example7.php, example8.php, example9.php, format_chart.php,
	  inline_image.php, test_setup.php: changed examples from ? to ?php
	  format.

2001-03-16 13:59  afan

	* phplot.php: Error in line 361 corrected.

2001-03-16 03:10  afan

	* phplot.php: Major updates to DrawDots and DrawBars to make it
	  easy to put labels and dots overwriting bars. Code optimizations
	  and checks to make sure you don't need to set error_reporting(0).

2001-03-09 19:58  afan

	* phplot.php: Minor bug fixes

2001-03-01 17:47  afan

	* README.txt, phplot.php, rgb_small.inc.php, examples/example8.php:
	  Bug on line 164 corrected Removed rgb_small.inc.php

2001-02-27 17:49  afan

	* phplot.php: Added ability to use background Images with plots
	  Changed Image Color Allocation to work even with background
	  Images Note: this change requires usage of PHPLOT 3.0.2 or later.

2001-02-23 21:22  afan

	* phplot.php, phplot_data.php, examples/example3.php,
	  examples/example6.php, examples/example9.php: DrawText,
	  SetRGBColor, Sessions fixes

2001-02-16 16:40  afan

	* phplot.php, examples/example1.php: Added output_file and
	  input_file Added Constructor Added check to see if an image index
	  has already been added for smaller files

2001-02-14 21:06  afan

	* phplot.php, examples/example1.php: Added Function SetColorIndex
	  for operating on image color indexes directly Also checks to see
	  if the color has already been defined for image size
	  optimization.

2001-02-13 20:50  afan

	* phplot.php, examples/example1.php: Minor Bugfix

2001-02-13 18:16  afan

	* phplot.php, examples/data.php, examples/example2.php,
	  examples/example3.php, examples/example4.php: Title
	  modifications, added movable Y axis

2001-02-12 14:54  afan

	* examples/example8.php: Adding example8: two plots on one image

2001-02-09 18:56  afan

	* phplot.php: Added SetYAxisPosition and changed DrawYAxisCode

2001-02-09 10:14  afan

	* phplot.php: Added Title return lines

2001-02-08 05:35  afan

	* README.txt, phplot.php, doc/user_functions.html,
	  doc/user_internal_functions.html, examples/data.php,
	  examples/example1.php, examples/example4.php: Added Error Bar
	  Widths, Missing Data Handling, Minor bugfix, More docs

2001-01-29 05:51  afan

	* phplot.php, examples/create_chart.php, examples/example7.php:
	  Added NumHorizTicks, fixed bug in example 7

2001-01-23 05:09  afan

	* doc/user_functions.html: Doc Fix

2001-01-23 05:04  afan

	* phplot.php: Minor Changes

2001-01-23 05:03  afan

	* phplot.php, doc/internal_functions.html, doc/user_functions.html:
	  Updated Documentation

2001-01-23 04:36  afan

	* phplot.php, examples/example3.php: Minor bug fixes.

2001-01-23 01:33  afan

	* phplot.php: Minor fix to phplot after major update

2001-01-23 01:06  afan

	* README.txt, phplot.php, phplot_data.php,
	  examples/create_chart.php, examples/data.php,
	  examples/data_date.php, examples/data_date2.php,
	  examples/example2.php, examples/example4.php,
	  examples/example6.php, examples/example7.php, examples/test1.php:
	  Lots changed: easier to make multiple images, logs, etc.

2001-01-17 04:05  afan

	* phplot.php: [no log message]

2001-01-17 03:42  afan

	* phplot.php: Implemented Log Plots. Very little error checking

2001-01-17 03:41  afan

	* phplot.php: Log plots implemented. Very little data error
	  checking.

2001-01-14 03:02  extensive

	* phplot.php, phplot_data.php, doc/internal_functions.html,
	  doc/user_functions.html: Changed ReportError to DrawError
	  respectively PrintError, added new functionality to PHPlot_data
	  and added some documentation of PHPlot_data

2001-01-11 18:43  afan

	* phplot.php, doc/internal_functions.html: Added documentation.

2001-01-11 17:07  afan

	* create_chart.php, data_sample1.php, data_sample2.php,
	  data_sample3.php, data_sample4.php, doc.htm, format_chart.php,
	  phplot.php, doc/examples.html, doc/function_reference.html,
	  doc/index.html, doc/internal_functions.html, doc/quick_start.php,
	  doc/user_functions.html, doc/user_internal_functions.html,
	  examples/benjamingothic.ttf, examples/create_chart.php,
	  examples/data_sample1.php, examples/data_sample2.php,
	  examples/data_sample3.php, examples/data_sample4.php,
	  examples/format_chart.php, examples/inline_image.php,
	  examples/test_setup.php: Major change to structure of PHPLOT. Doc
	  directory, moved examples to examples directory.

2001-01-11 16:25  extensive

	* phplot.php: just added ReportError() and changed all DrawError()
	  calls to use ReportError().  phplot seems to be broken on my
	  system but I don't think it is my fault (this was the first time
	  I was testing a 3.7.x version), let's address that later. Is it
	  broken on your system, too, Afan?

2001-01-11 02:14  extensive

	* phplot.php, phplot_data.php: I just corrected some typos (mostly
	  my name being misspelled ;-)

2001-01-08 00:53  afan

	* doc.htm, phplot.php, phplot_data.php: Added Plot Border types

2001-01-07 00:35  afan

	* doc.htm, phplot_data.php: Adding phplot_data for release 3.7.0

2001-01-07 00:30  afan

	* examples/: data.php, example1.php, example2.php, example3.php,
	  example4.php, example5.php, rgb.inc.php, test1.php: Adding
	  PHPLOT_DATA routines. Defining the first sub-class. Added
	  examples: Afan

2001-01-07 00:23  afan

	* README.txt, create_chart.php, data_sample3.php, doc.htm,
	  phplot.php, stocks.php, stocks1.php, test1.php: 3.6.4 Committed

2000-12-13 22:02  afan

	* phplot.php: Allowing data in time_format but printed using
	  strftime

2000-12-13 04:47  afan

	* doc.htm, phplot.php, stocks.php: ver 3.2.1 and New Docs

2000-12-11 18:03  afan

	* create_chart.php, data_sample2.php, format_chart.php, phplot.php:
	  Release version 3.2.0

2000-11-29 17:12  afan

	* README.txt, benjamingothic.ttf, create_chart.php,
	  data_sample1.php, data_sample2.php, data_sample3.php,
	  data_sample4.php, doc.htm, format_chart.php, phplot.php,
	  rgb.inc.php, rgb_small.inc.php, stocks.php, stocks1.php,
	  test1.php: Initial revision

2000-11-29 17:12  afan

	* README.txt, benjamingothic.ttf, create_chart.php,
	  data_sample1.php, data_sample2.php, data_sample3.php,
	  data_sample4.php, doc.htm, format_chart.php, phplot.php,
	  rgb.inc.php, rgb_small.inc.php, stocks.php, stocks1.php,
	  test1.php: The first upload!	Afan Ottenheimer

